<?php
/*
 * Copyright (c) 2005, Bull S.A..  All rights reserved.
 * Created by: Sebastien Decugis

 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc., 59
 * Temple Place - Suite 330, Boston MA 02111-1307, USA.
 */


/* This file contains the functions to connect to the database
and to execute queries */

/* database settings
 *
 * (These are separated for security reasons)
 * 
 * The included file must define
 * $db_server
 * $db_user
 * $db_pw
 * $db
 */
if (!isset($root))
	die ("Hack attempt detected\n");
require("/etc/tslogparser.conf.php"); 

/* Define the latest version name */
require($root."db/update_db.inc.php");

/* Database connection handler */
$db_link=0;

/* Configuration data */
$CONFIG=array();

/* Initialize link to the db and grep configuration */
function db_init()
{
	global $db_server,$db_user,$db_pw, $db, $db_link, $CONFIG, $root;
	
	$db_link = mysql_connect($db_server,$db_user,$db_pw)
		or die("Failed to connect to MySQL: ".mysql_error()."\n");
	
	mysql_select_db($db)
		or die("Failed selecting the database\n");
	
	$tmp = @mysql_query("SELECT * FROM opts_config");
	if ($tmp)
	{
		while ($row = mysql_fetch_assoc($tmp))
			$CONFIG[$row["cfg_key"]]=$row["cfg_val"];
	}
	
	if ((!isset($CONFIG["version"])) || ($CONFIG["version"] < LATEST_VERSION))
	{
		die("<b>You need to update your database schema.</b>\n <a href='".$root."admin/upgrade.php'>Click here</a>.\n");
	}
}

/* Close link to the db */
function db_fini()
{
	global $db_link;
	
	if ($db_link)
		mysql_close($db_link);
}

/* Check DB link */
function is_db_init()
{
	global $db_link;
	return ($db_link != false);
}

function db_execute_select($sql)
{
	$rows=array();
	$res = mysql_query($sql) or die("Database access error: ".mysql_error());
	while ($row = mysql_fetch_assoc($res))
		$rows[]=$row;
	mysql_free_result($res);
	return ($rows);
}

function db_query($sql, &$res)
{
	$res = mysql_query($sql) or die("Database access error: ".mysql_error());
}

function db_getline($rs)
{
	return mysql_fetch_assoc($rs);
}

function db_execute_insert($sql)
{
	mysql_query($sql) or die("Database access error: ".mysql_error());
	return mysql_affected_rows();
}



?>
